Create a business account (manual)
curl --request POST \
--url https://whatsrb.com/api/v1/business_accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"business_account": {
"waba_id": "<string>",
"phone_number_id": "<string>",
"business_name": "<string>",
"display_name": "<string>",
"phone_number": "+33612345678",
"meta_access_token": "<string>"
}
}
'import requests
url = "https://whatsrb.com/api/v1/business_accounts"
payload = { "business_account": {
"waba_id": "<string>",
"phone_number_id": "<string>",
"business_name": "<string>",
"display_name": "<string>",
"phone_number": "+33612345678",
"meta_access_token": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
business_account: {
waba_id: '<string>',
phone_number_id: '<string>',
business_name: '<string>',
display_name: '<string>',
phone_number: '+33612345678',
meta_access_token: '<string>'
}
})
};
fetch('https://whatsrb.com/api/v1/business_accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"waba_id": "<string>",
"business_name": "<string>",
"phone_number_id": "<string>",
"phone_number": "<string>",
"display_name": "<string>",
"status": "<string>",
"quality_rating": "<string>",
"connected": true,
"human_takeover_duration": 30,
"meta_token_expires_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "Invalid or missing API key"
}{
"error": "Business account limit reached for your plan (free)",
"details": {
"limit": 1
}
}{
"error": "Validation failed",
"details": {
"to": [
"can't be blank"
]
}
}Business Accounts
Create a business account (manual)
Manually create a business account using existing Meta credentials (WABA ID + access token).
This is the exception flow. The recommended way to connect an account is via the embedded signup flow (POST /business_accounts/connect), which handles OAuth and webhook configuration automatically.
⚠️ Manual accounts can only send messages out of the box. To also receive incoming messages, you must configure your Meta app’s webhook manually. See Meta Webhook Setup.
POST
/
business_accounts
Create a business account (manual)

